]> www.wagner.pp.ru Git - oss/fgis.git/blobdiff - configure
The second attempt to automate building :-) A lot of work here should be
[oss/fgis.git] / configure
index d2f035ab7601eda32487311984eb87c92b1fe78a..5019fd42897588ad2d56c091d753e864eb1f6a40 100755 (executable)
--- a/configure
+++ b/configure
@@ -1010,7 +1010,10 @@ Optional Packages:
   --with-gnu-ld           assume the C compiler uses GNU ld default=no
   --with-pic              try to use only PIC/non-PIC objects default=use both
   --with-x                use the X Window System
-  --with-tcl=ARG          Include Tcl support (ARG=yes or path)
+  --with-tclinclude=DIR   directory where tcl private headers are
+  --with-tcl           directory containing tcl configuration (tclConfig.sh)
+  --with-tkinclude       directory where tk private headers are
+  --with-tk           directory containing tk configuration (tkConfig.sh)
 
 Some influential environment variables:
   CC          C compiler command
@@ -4173,7 +4176,7 @@ test "x$enable_libtool_lock" != xno && enable_libtool_lock=yes
 case $host in
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4176 "configure"' > conftest.$ac_ext
+  echo '#line 4179 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -4709,7 +4712,7 @@ chmod -w .
 save_CFLAGS="$CFLAGS"
 CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
 compiler_c_o=no
-if { (eval echo configure:4712: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
+if { (eval echo configure:4715: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
   # The compiler can only warn and ignore the option if not recognized
   # So say no if there are warnings
   if test -s out/conftest.err; then
@@ -6507,7 +6510,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 6510 "configure"
+#line 6513 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -6605,7 +6608,7 @@ else
     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 6608 "configure"
+#line 6611 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8048,8 +8051,6 @@ fi
 # AC_CHECK_LIB([dl], [main])
 # FIXME: Replace `main' with a function in `-lefence':
 # AC_CHECK_LIB([efence], [main])
-# FIXME: Replace `main' with a function in `-lepp':
-# AC_CHECK_LIB([epp], [main])
 # FIXME: Replace `main' with a function in `-lm':
 # AC_CHECK_LIB([m], [main])
 # FIXME: Replace `main' with a function in `-lproj':
@@ -10377,31 +10378,415 @@ done
 
 
 
+
+  test "x$prefix" = xNONE && prefix="$ac_default_prefix"
+  test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
+  ac_define_dir=`eval echo $"$sysconfdir"`
+  ac_define_dir=`eval echo $ac_define_dir`
+
 cat >>confdefs.h <<_ACEOF
-#define FGIS_CONFIG "$sysconfdir"
+#define FGIS_CONFIG "$ac_define_dir"
 _ACEOF
 
 
 
 
-# Check whether --with-tcl or --without-tcl was given.
-if test "${with_tcl+set}" = set; then
-  withval="$with_tcl"
 
+        FGIS_LIBDIR=$"$libdir"
+        test "x$prefix" = xNONE && prefix="$ac_default_prefix"
+        test "x$exec_prefix" = xNONE && exec_prefix="${prefix}"
+        FGIS_LIBDIR=`eval echo $FGIS_LIBDIR`
+       FGIS_LIBDIR=`eval echo $FGIS_LIBDIR`
+
+
+
+
+
+#
+# Ok, lets find the tcl source trees so we can use the headers
+# Warning: transition of version 9 to 10 will break this algorithm
+# because 10 sorts before 9. We also look for just tcl. We have to
+# be careful that we don't match stuff like tclX by accident.
+# the alternative search directory is involked by --with-tclinclude
+#
+no_tcl=true
+echo "$as_me:$LINENO: checking for Tcl private headers" >&5
+echo $ECHO_N "checking for Tcl private headers... $ECHO_C" >&6
+
+# Check whether --with-tclinclude or --without-tclinclude was given.
+if test "${with_tclinclude+set}" = set; then
+  withval="$with_tclinclude"
+  with_tclinclude=${withval}
 fi;
-if test "$with_tcl" = "yes" -o "$with_tcl" = "" ; then
+if test "${ac_cv_c_tclh+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+# first check to see if --with-tclinclude was specified
+if test x"${with_tclinclude}" != x ; then
+  if test -f ${with_tclinclude}/tclInt.h ; then
+    ac_cv_c_tclh=`(cd ${with_tclinclude}; pwd)`
+  elif test -f ${with_tclinclude}/generic/tclInt.h ; then
+    ac_cv_c_tclh=`(cd ${with_tclinclude}/generic; pwd)`
+  else
+    { { echo "$as_me:$LINENO: error: ${with_tclinclude} directory doesn't contain private headers" >&5
+echo "$as_me: error: ${with_tclinclude} directory doesn't contain private headers" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+fi
+
+# next check if it came with Tcl configuration file
+if test x"${ac_cv_c_tclconfig}" != x ; then
+  if test -f $ac_cv_c_tclconfig/../generic/tclInt.h ; then
+    ac_cv_c_tclh=`(cd $ac_cv_c_tclconfig/../generic; pwd)`
+  fi
+fi
+
+# next check in private source directory
+#
+# since ls returns lowest version numbers first, reverse its output
+if test x"${ac_cv_c_tclh}" = x ; then
+  for i in \
+               ${srcdir}/../tcl \
+               `ls -dr ${srcdir}/../tcl[9].[0-9].[0-9] ${srcdir}/../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../tcl[8].[2-9].[0-9] ${srcdir}/../tcl[8].[2-9] 2>/dev/null` \
+               ${srcdir}/../../tcl \
+               `ls -dr ${srcdir}/../../tcl[9].[0-9].[0-9] ${srcdir}/../../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../../tcl[8].[2-9].[0-9] ${srcdir}/../../tcl[8].[2-9] 2>/dev/null` \
+               ${srcdir}/../../../tcl \
+               `ls -dr ${srcdir}/../../../tcl[9].[0-9].[0-9] ${srcdir}/../../../tcl[9].[0-9] 2>/dev/null ` \
+               `ls -dr ${srcdir}/../../../tcl[8].[2-9].[0-9] ${srcdir}/../../../tcl[8].[2-9] 2>/dev/null ` ; do
+    if test -f $i/generic/tclInt.h ; then
+      ac_cv_c_tclh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
 
-  echo "$as_me:$LINENO: checking for Tcl_CreateCommand in -ltcl8.3" >&5
-echo $ECHO_N "checking for Tcl_CreateCommand in -ltcl8.3... $ECHO_C" >&6
-if test "${ac_cv_lib_tcl8_3_Tcl_CreateCommand+set}" = set; then
+# check Debian-specific locations
+if test x"${ac_cv_c_tclh}" = x ; then
+  for i in \
+               `ls -dr /usr/include/tcl[9].[0-9].[0-9]/tcl-private /usr/include/tcl[9].[0-9]/tcl-private 2>/dev/null` \
+               `ls -dr /usr/include/tcl[8].[2-9].[0-9]/tcl-private /usr/include/tcl[8].[2-9]/tcl-private 2>/dev/null`; do
+    if test -f $i/generic/tclInt.h ; then
+      ac_cv_c_tclh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
+
+# finally check in a few common install locations
+#
+# since ls returns lowest version numbers first, reverse its output
+if test x"${ac_cv_c_tclh}" = x ; then
+  for i in \
+               `ls -dr /usr/lib/tcl[9].[0-9].[0-9]/tcl-private /usr/lib/tcl[9].[0-9]/tcl-private 2>/dev/null` \
+               `ls -dr /usr/lib/tcl[8].[2-9].[0-9]/tcl-private /usr/lib/tcl[8].[2-9]/tcl-private 2>/dev/null` \
+               `ls -dr /usr/local/src/tcl[9].[0-9].[0-9] /usr/local/src/tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/local/src/tcl[8].[2-9].[0-9] /usr/local/src/tcl[8].[2-9] 2>/dev/null` \
+               `ls -dr /usr/local/lib/tcl[9].[0-9].[0-9] /usr/local/lib/tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/local/lib/tcl[8].[2-9].[0-9] /usr/local/lib/tcl[8].[2-9] 2>/dev/null` \
+               /usr/local/src/tcl \
+               /usr/local/lib/tcl \
+               ${prefix}/include ; do
+    if test -f $i/generic/tclInt.h ; then
+      ac_cv_c_tclh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
+# see if one is installed
+if test x"${ac_cv_c_tclh}" = x ; then
+   if test "${ac_cv_header_tclInt_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for tclInt.h" >&5
+echo $ECHO_N "checking for tclInt.h... $ECHO_C" >&6
+if test "${ac_cv_header_tclInt_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tclInt_h" >&5
+echo "${ECHO_T}$ac_cv_header_tclInt_h" >&6
 else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-ltcl8.3 $LIBS $LIBS"
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking tclInt.h usability" >&5
+echo $ECHO_N "checking tclInt.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tclInt.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tclInt.h presence" >&5
+echo $ECHO_N "checking tclInt.h presence... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 #include "confdefs.h"
+#include <tclInt.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  egrep -v '^ *\+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+  yes:no )
+    { echo "$as_me:$LINENO: WARNING: tclInt.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tclInt.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tclInt.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tclInt.h: proceeding with the preprocessor's result" >&2;};;
+  no:yes )
+    { echo "$as_me:$LINENO: WARNING: tclInt.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tclInt.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tclInt.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tclInt.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tclInt.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tclInt.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tclInt.h" >&5
+echo $ECHO_N "checking for tclInt.h... $ECHO_C" >&6
+if test "${ac_cv_header_tclInt_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_tclInt_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tclInt_h" >&5
+echo "${ECHO_T}$ac_cv_header_tclInt_h" >&6
+
+fi
+if test $ac_cv_header_tclInt_h = yes; then
+  ac_cv_c_tclh=installed
+else
+  ac_cv_c_tclh=""
+fi
+
+
+fi
 
+fi
+
+if test x"${ac_cv_c_tclh}" = x ; then
+  TCLHDIR="# no Tcl private headers found"
+  TCLHDIRDASHI="# no Tcl private headers found"
+  { { echo "$as_me:$LINENO: error: Can't find Tcl private headers" >&5
+echo "$as_me: error: Can't find Tcl private headers" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test x"${ac_cv_c_tclh}" != x ; then
+  no_tcl=""
+  if test x"${ac_cv_c_tclh}" = x"installed" ; then
+    echo "$as_me:$LINENO: result: is installed" >&5
+echo "${ECHO_T}is installed" >&6
+    TCLHDIR=""
+    TCLHDIRDASHI=""
+    TCL_LIBRARY=""
+  else
+    echo "$as_me:$LINENO: result: found in ${ac_cv_c_tclh}" >&5
+echo "${ECHO_T}found in ${ac_cv_c_tclh}" >&6
+    # this hack is cause the TCLHDIR won't print if there is a "-I" in it.
+    TCLHDIR="${ac_cv_c_tclh}"
+    TCLHDIRDASHI="-I${ac_cv_c_tclh}"
+    TCL_LIBRARY=`echo $TCLHDIR | sed -e 's/generic//'`library
+  fi
+fi
+
+
+
+
+
+if test x"$no_tcl" = x"true" ; then
+    echo "     ERROR: Can't find Tcl headers or library."
+    echo "     See README for information on how to obtain Tcl."
+    echo "     If Tcl is installed, see INSTALL on how to tell"
+    echo "     configure where Tcl is installed."
+    exit 1
+fi
+
+#
+# Ok, lets find the tcl configuration
+# First, look for one uninstalled.
+# the alternative search directory is invoked by --with-tcl
+#
+
+if test x"${no_tcl}" = x ; then
+  # we reset no_tcl in case something fails here
+  no_tcl=true
+
+# Check whether --with-tcl or --without-tcl was given.
+if test "${with_tcl+set}" = set; then
+  withval="$with_tcl"
+  with_tclconfig=${withval}
+fi;
+  echo "$as_me:$LINENO: checking for Tcl configuration" >&5
+echo $ECHO_N "checking for Tcl configuration... $ECHO_C" >&6
+  if test "${ac_cv_c_tclconfig+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+  # First check to see if --with-tcl was specified.
+  if test x"${with_tclconfig}" != x ; then
+    if test -f "${with_tclconfig}/tclConfig.sh" ; then
+      ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
+    else
+      { { echo "$as_me:$LINENO: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&5
+echo "$as_me: error: ${with_tclconfig} directory doesn't contain tclConfig.sh" >&2;}
+   { (exit 1); exit 1; }; }
+    fi
+  fi
+
+  # then check for a private Tcl installation
+  if test x"${ac_cv_c_tclconfig}" = x ; then
+    for i in \
+               ../tcl \
+               `ls -dr ../tcl[9].[0-9].[0-9] ../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ../tcl[8].[2-9].[0-9] ../tcl[8].[2-9] 2>/dev/null` \
+               ../../tcl \
+               `ls -dr ../../tcl[9].[0-9].[0-9] ../../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ../../tcl[8].[2-9].[0-9] ../../tcl[8].[2-9] 2>/dev/null` \
+               ../../../tcl \
+               `ls -dr ../../../tcl[9].[0-9].[0-9] ../../../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ../../../tcl[8].[2-9].[0-9] ../../../tcl[8].[2-9] 2>/dev/null` ; do
+      if test -f "$i/unix/tclConfig.sh" ; then
+        ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
+       break
+      fi
+    done
+  fi
+  # check in a few common install locations
+  if test x"${ac_cv_c_tclconfig}" = x ; then
+    for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
+      if test -f "$i/tclConfig.sh" ; then
+        ac_cv_c_tclconfig=`(cd $i; pwd)`
+       break
+      fi
+    done
+  fi
+
+  # check Debian-specific locations
+  if test x"${ac_cv_c_tclconfig}" = x ; then
+    for i in \
+               `ls -dr /usr/lib/tcl[9].[0-9].[0-9] /usr/lib/tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/lib/tcl[8].[2-9].[0-9] /usr/lib/tcl[8].[2-9] 2>/dev/null` ; do
+      if test -f "$i/tclConfig.sh" ; then
+        ac_cv_c_tclconfig=`(cd $i; pwd)`
+       break
+      fi
+    done
+  fi
+
+  # check in a few other private locations
+  if test x"${ac_cv_c_tclconfig}" = x ; then
+    for i in \
+               ${srcdir}/../tcl \
+               `ls -dr ${srcdir}/../tcl[9].[0-9].[0-9] ${srcdir}/../tcl[9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../tcl[8].[2-9].[0-9] ${srcdir}/../tcl[8].[2-9] 2>/dev/null` ; do
+      if test -f "$i/unix/tclConfig.sh" ; then
+        ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
+       break
+      fi
+    done
+  fi
+
+fi
+
+  if test x"${ac_cv_c_tclconfig}" = x ; then
+    TCLCONFIG="# no Tcl configs found"
+    { echo "$as_me:$LINENO: WARNING: Can't find Tcl configuration definitions" >&5
+echo "$as_me: WARNING: Can't find Tcl configuration definitions" >&2;}
+  else
+    no_tcl=
+    TCLCONFIG=${ac_cv_c_tclconfig}/tclConfig.sh
+    echo "$as_me:$LINENO: result: found $TCLCONFIG" >&5
+echo "${ECHO_T}found $TCLCONFIG" >&6
+  fi
+fi
+
+
+    . $TCLCONFIG
+
+
+
+
+
+
+
+
+
+
+
+# Tcl defines TCL_SHLIB_SUFFIX but TCL_SHARED_LIB_SUFFIX then looks for it
+# as just SHLIB_SUFFIX.  How bizarre.
+    SHLIB_SUFFIX=$TCL_SHLIB_SUFFIX
+
+
+
+
+# if Tcl's build directory has been removed, TCL_LIB_SPEC should
+# be used instead of TCL_BUILD_LIB_SPEC
+SAVELIBS=$LIBS
+# eval used to expand out TCL_DBGX
+eval "LIBS=\"$TCL_BUILD_LIB_SPEC $TCL_LIBS\""
+echo "$as_me:$LINENO: checking Tcl build library" >&5
+echo $ECHO_N "checking Tcl build library... $ECHO_C" >&6
+echo "$as_me:$LINENO: result: $LIBS" >&5
+echo "${ECHO_T}$LIBS" >&6
+
+echo "$as_me:$LINENO: checking for Tcl_CreateCommand" >&5
+echo $ECHO_N "checking for Tcl_CreateCommand... $ECHO_C" >&6
+if test "${ac_cv_func_Tcl_CreateCommand+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char Tcl_CreateCommand (); below.  */
+#include <assert.h>
 /* Override any gcc2 internal prototype to avoid an error.  */
 #ifdef __cplusplus
 extern "C"
@@ -10409,6 +10794,8 @@ extern "C"
 /* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
 char Tcl_CreateCommand ();
+char (*f) ();
+
 #ifdef F77_DUMMY_MAIN
 #  ifdef __cplusplus
      extern "C"
@@ -10418,7 +10805,15 @@ char Tcl_CreateCommand ();
 int
 main ()
 {
-Tcl_CreateCommand ();
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_Tcl_CreateCommand) || defined (__stub___Tcl_CreateCommand)
+choke me
+#else
+f = Tcl_CreateCommand;
+#endif
+
   ;
   return 0;
 }
@@ -10435,42 +10830,493 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_tcl8_3_Tcl_CreateCommand=yes
+  ac_cv_func_Tcl_CreateCommand=yes
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-ac_cv_lib_tcl8_3_Tcl_CreateCommand=no
+ac_cv_func_Tcl_CreateCommand=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_tcl8_3_Tcl_CreateCommand" >&5
-echo "${ECHO_T}$ac_cv_lib_tcl8_3_Tcl_CreateCommand" >&6
-if test $ac_cv_lib_tcl8_3_Tcl_CreateCommand = yes; then
-  HAVE_TCL83=yes
+echo "$as_me:$LINENO: result: $ac_cv_func_Tcl_CreateCommand" >&5
+echo "${ECHO_T}$ac_cv_func_Tcl_CreateCommand" >&6
+if test $ac_cv_func_Tcl_CreateCommand = yes; then
+
+       echo "$as_me:$LINENO: checking if Tcl library build specification is valid" >&5
+echo $ECHO_N "checking if Tcl library build specification is valid... $ECHO_C" >&6
+       echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
 else
-  HAVE_TCL83=no
+
+       TCL_BUILD_LIB_SPEC=$TCL_LIB_SPEC
+       # Can't pull the following CHECKING call out since it will be
+       # broken up by the CHECK_FUNC just above.
+       echo "$as_me:$LINENO: checking if Tcl library build specification is valid" >&5
+echo $ECHO_N "checking if Tcl library build specification is valid... $ECHO_C" >&6
+       echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
 fi
 
+LIBS=$SAVELIBS
+
+
 
-  if test "HAVE_TCL83"="yes"; then
 
-    if test -r /usr/include/tcl8.3/tcl.h ; then
 
-      LIBS="-ltcl8.3 $LIBS"
-      TCL_INCLUDE="-I/usr/include/tcl8.3"
-      echo "using Tcl 8.3"
 
+
+TCL_INC_DIR=$TCL_INC_DIR
+
+TCL_PACKAGE_PATH=$TCL_PACKAGE_PATH
+
+
+
+#
+# Ok, lets find the tk source trees so we can use the headers
+# If the directory (presumably symlink) named "tk" exists, use that one
+# in preference to any others.  Same logic is used when choosing library
+# and again with Tcl. The search order is the best place to look first, then in
+# decreasing significance. The loop breaks if the trigger file is found.
+# Note the gross little conversion here of srcdir by cd'ing to the found
+# directory. This converts the path from a relative to an absolute, so
+# recursive cache variables for the path will work right. We check all
+# the possible paths in one loop rather than many seperate loops to speed
+# things up.
+# the alternative search directory is involked by --with-tkinclude
+#
+#no_tk=true
+echo "$as_me:$LINENO: checking for Tk private headers" >&5
+echo $ECHO_N "checking for Tk private headers... $ECHO_C" >&6
+
+# Check whether --with-tkinclude or --without-tkinclude was given.
+if test "${with_tkinclude+set}" = set; then
+  withval="$with_tkinclude"
+  with_tkinclude=${withval}
+fi;
+if test "${ac_cv_c_tkh+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+# first check to see if --with-tkinclude was specified
+if test x"${with_tkinclude}" != x ; then
+  if test -f ${with_tkinclude}/tk.h ; then
+    ac_cv_c_tkh=`(cd ${with_tkinclude}; pwd)`
+  elif test -f ${with_tkinclude}/generic/tk.h ; then
+    ac_cv_c_tkh=`(cd ${with_tkinclude}/generic; pwd)`
+  else
+    { { echo "$as_me:$LINENO: error: ${with_tkinclude} directory doesn't contain private headers" >&5
+echo "$as_me: error: ${with_tkinclude} directory doesn't contain private headers" >&2;}
+   { (exit 1); exit 1; }; }
+  fi
+fi
+
+# next check if it came with Tk configuration file
+if test x"${ac_cv_c_tkconfig}" != x ; then
+  if test -f $ac_cv_c_tkconfig/../generic/tk.h ; then
+    ac_cv_c_tkh=`(cd $ac_cv_c_tkconfig/../generic; pwd)`
+  fi
+fi
+
+# next check in private source directory
+#
+# since ls returns lowest version numbers first, reverse its output
+if test x"${ac_cv_c_tkh}" = x ; then
+  for i in \
+               ${srcdir}/../tk \
+               `ls -dr ${srcdir}/../tk[4-9].[0-9].[0-9] ${srcdir}/../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../tk[4-9].[0-9].[0-9] ${srcdir}/../tk[4-9].[0-9] 2>/dev/null` \
+               ${srcdir}/../../tk \
+               `ls -dr ${srcdir}/../../tk[4-9].[0-9].[0-9] ${srcdir}/../../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../../tk[4-9].[0-9].[0-9] ${srcdir}/../../tk[4-9].[0-9] 2>/dev/null` \
+               ${srcdir}/../../../tk \
+               `ls -dr ${srcdir}/../../../tk[4-9].[0-9].[0-9] ${srcdir}/../../../tk[4-9].[0-9] 2>/dev/null ` \
+               `ls -dr ${srcdir}/../../../tk[4-9].[0-9].[0-9] ${srcdir}/../../../tk[4-9].[0-9] 2>/dev/null ` ; do
+    if test -f $i/generic/tk.h ; then
+      ac_cv_c_tkh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
+
+# check Debian-specific locations
+if test x"${ac_cv_c_tkh}" = x ; then
+  for i in \
+               `ls -dr /usr/include/tcl[9].[0-9].[0-9]/tk-private /usr/include/tcl[9].[0-9]/tk-private 2>/dev/null` \
+               `ls -dr /usr/include/tcl[8].[2-9].[0-9]/tk-private /usr/include/tcl[8].[2-9]/tk-private 2>/dev/null` ; do
+    if test -f $i/generic/tk.h ; then
+      ac_cv_c_tkh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
+
+# finally check in a few common install locations
+#
+# since ls returns lowest version numbers first, reverse its output
+if test x"${ac_cv_c_tkh}" = x ; then
+  for i in \
+               `ls -dr /usr/local/src/tk[4-9].[0-9].[0-9] /usr/local/src/tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/local/src/tk[4-9].[0-9].[0-9] /usr/local/src/tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/local/lib/tk[4-9].[0-9].[0-9] /usr/local/lib/tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/local/lib/tk[4-9].[0-9].[0-9] /usr/local/lib/tk[4-9].[0-9] 2>/dev/null` \
+               /usr/local/src/tk \
+               /usr/local/lib/tk \
+               ${prefix}/include ; do
+    if test -f $i/generic/tk.h ; then
+      ac_cv_c_tkh=`(cd $i/generic; pwd)`
+      break
+    fi
+  done
+fi
+# see if one is installed
+if test x"${ac_cv_c_tkh}" = x ; then
+   if test "${ac_cv_header_tk_h+set}" = set; then
+  echo "$as_me:$LINENO: checking for tk.h" >&5
+echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
+if test "${ac_cv_header_tk_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tk_h" >&5
+echo "${ECHO_T}$ac_cv_header_tk_h" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking tk.h usability" >&5
+echo $ECHO_N "checking tk.h usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+$ac_includes_default
+#include <tk.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_header_compiler=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking tk.h presence" >&5
+echo $ECHO_N "checking tk.h presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+#include <tk.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  egrep -v '^ *\+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc in
+  yes:no )
+    { echo "$as_me:$LINENO: WARNING: tk.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: tk.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tk.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tk.h: proceeding with the preprocessor's result" >&2;};;
+  no:yes )
+    { echo "$as_me:$LINENO: WARNING: tk.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: tk.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tk.h: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: tk.h: check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: tk.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: tk.h: proceeding with the preprocessor's result" >&2;};;
+esac
+echo "$as_me:$LINENO: checking for tk.h" >&5
+echo $ECHO_N "checking for tk.h... $ECHO_C" >&6
+if test "${ac_cv_header_tk_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_tk_h=$ac_header_preproc
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_tk_h" >&5
+echo "${ECHO_T}$ac_cv_header_tk_h" >&6
+
+fi
+if test $ac_cv_header_tk_h = yes; then
+  ac_cv_c_tkh=installed
+else
+  ac_cv_c_tkh=""
+fi
+
+
+fi
+
+fi
+
+if test x"${ac_cv_c_tkh}" != x ; then
+#  no_tk=""
+  if test x"${ac_cv_c_tkh}" = x"installed" ; then
+    echo "$as_me:$LINENO: result: is installed" >&5
+echo "${ECHO_T}is installed" >&6
+    TKHDIRDASHI=""
+  else
+    echo "$as_me:$LINENO: result: found in ${ac_cv_c_tkh}" >&5
+echo "${ECHO_T}found in ${ac_cv_c_tkh}" >&6
+    # this hack is cause the TKHDIRDASHI won't print if there is a "-I" in it.
+    TKHDIRDASHI="-I${ac_cv_c_tkh}"
+  fi
+else
+  TKHDIRDASHI="# no Tk directory found"
+  { echo "$as_me:$LINENO: WARNING: Can't find Tk private headers" >&5
+echo "$as_me: WARNING: Can't find Tk private headers" >&2;}
+  no_tk=true
+fi
+
+
+
+
+#
+# Ok, lets find the tk configuration
+# First, look for one uninstalled.
+# the alternative search directory is invoked by --with-tk
+#
+
+if test x"${no_tk}" = x ; then
+  # we reset no_tk in case something fails here
+  no_tk=true
+
+# Check whether --with-tk or --without-tk was given.
+if test "${with_tk+set}" = set; then
+  withval="$with_tk"
+  with_tkconfig=${withval}
+fi;
+  echo "$as_me:$LINENO: checking for Tk configuration" >&5
+echo $ECHO_N "checking for Tk configuration... $ECHO_C" >&6
+  if test "${ac_cv_c_tkconfig+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+
+
+  # First check to see if --with-tk was specified.
+  if test x"${with_tkconfig}" != x ; then
+    if test -f "${with_tkconfig}/tkConfig.sh" ; then
+      ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
+    else
+      { { echo "$as_me:$LINENO: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&5
+echo "$as_me: error: ${with_tkconfig} directory doesn't contain tkConfig.sh" >&2;}
+   { (exit 1); exit 1; }; }
     fi
+  fi
 
+  # then check for a private Tk library
+  if test x"${ac_cv_c_tkconfig}" = x ; then
+    for i in \
+               ../tk \
+               `ls -dr ../tk[4-9].[0-9].[0-9] ../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ../tk[4-9].[0-9].[0-9] ../tk[4-9].[0-9] 2>/dev/null` \
+               ../../tk \
+               `ls -dr ../../tk[4-9].[0-9].[0-9] ../../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ../../tk[4-9].[0-9].[0-9] ../../tk[4-9].[0-9] 2>/dev/null` \
+               ../../../tk \
+               `ls -dr ../../../tk[4-9].[0-9].[0-9] ../../../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ../../../tk[4-9].[0-9].[0-9] ../../../tk[4-9].[0-9] 2>/dev/null` ; do
+      if test -f "$i/unix/tkConfig.sh" ; then
+        ac_cv_c_tkconfig=`(cd $i/unix; pwd)`
+       break
+      fi
+    done
+  fi
+  # check in a few common install locations
+  if test x"${ac_cv_c_tkconfig}" = x ; then
+    for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
+      if test -f "$i/tkConfig.sh" ; then
+        ac_cv_c_tkconfig=`(cd $i; pwd)`
+       break
+      fi
+    done
+  fi
+  # check Debian-specific locations
+  if test x"${ac_cv_c_tkconfig}" = x ; then
+    for i in \
+               `ls -dr /usr/lib/tk[4-9].[0-9].[0-9] /usr/lib/tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr /usr/lib/tk[4-9].[0-9].[0-9] /usr/lib/tk[4-9].[0-9] 2>/dev/null` ; do
+      if test -f "$i/tkConfig.sh" ; then
+        ac_cv_c_tkconfig=`(cd $i; pwd)`
+       break
+      fi
+    done
   fi
+  # check in a few other private locations
+  if test x"${ac_cv_c_tkconfig}" = x ; then
+    for i in \
+               ${srcdir}/../tk \
+               `ls -dr ${srcdir}/../tk[4-9].[0-9].[0-9] ${srcdir}/../tk[4-9].[0-9] 2>/dev/null` \
+               `ls -dr ${srcdir}/../tk[4-9].[0-9].[0-9] ${srcdir}/../tk[4-9].[0-9] 2>/dev/null` ; do
+      if test -f "$i/unix/tkConfig.sh" ; then
+        ac_cv_c_tkconfig=`(cd $i/unix; pwd)`
+       break
+      fi
+    done
+  fi
+
+fi
 
+  if test x"${ac_cv_c_tkconfig}" = x ; then
+    TKCONFIG="# no Tk configs found"
+    { echo "$as_me:$LINENO: WARNING: Can't find Tk configuration definitions" >&5
+echo "$as_me: WARNING: Can't find Tk configuration definitions" >&2;}
+  else
+    no_tk=
+    TKCONFIG=${ac_cv_c_tkconfig}/tkConfig.sh
+    echo "$as_me:$LINENO: result: found $TKCONFIG" >&5
+echo "${ECHO_T}found $TKCONFIG" >&6
+  fi
 fi
 
-TCL_INCLUDE=$TCL_INCLUDE
 
 
-ac_config_files="$ac_config_files Makefile dll/Makefile epu/Makefile include/Makefile tcl/Makefile"
+    if test -f "$TKCONFIG" ; then
+      . $TKCONFIG
+    fi
+
+
+
+
+
+
+
+
+
+
+
+# if Tk's build directory has been removed, TK_LIB_SPEC should
+# be used instead of TK_BUILD_LIB_SPEC
+SAVELIBS=$LIBS
+# eval used to expand out TK_DBGX
+eval "LIBS=\"$TK_BUILD_LIB_SPEC $TCL_BUILD_LIB_SPEC $TK_LIBS\""
+echo "$as_me:$LINENO: checking for Tk_Init" >&5
+echo $ECHO_N "checking for Tk_Init... $ECHO_C" >&6
+if test "${ac_cv_func_Tk_Init+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line $LINENO "configure"
+#include "confdefs.h"
+/* System header to define __stub macros and hopefully few prototypes,
+    which can conflict with char Tk_Init (); below.  */
+#include <assert.h>
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char Tk_Init ();
+char (*f) ();
+
+#ifdef F77_DUMMY_MAIN
+#  ifdef __cplusplus
+     extern "C"
+#  endif
+   int F77_DUMMY_MAIN() { return 1; }
+#endif
+int
+main ()
+{
+/* The GNU C library defines this for functions which it implements
+    to always fail with ENOSYS.  Some functions are actually named
+    something starting with __ and the normal name is an alias.  */
+#if defined (__stub_Tk_Init) || defined (__stub___Tk_Init)
+choke me
+#else
+f = Tk_Init;
+#endif
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_func_Tk_Init=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_func_Tk_Init=no
+fi
+rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: $ac_cv_func_Tk_Init" >&5
+echo "${ECHO_T}$ac_cv_func_Tk_Init" >&6
+if test $ac_cv_func_Tk_Init = yes; then
+
+       echo "$as_me:$LINENO: checking if Tk library build specification is valid" >&5
+echo $ECHO_N "checking if Tk library build specification is valid... $ECHO_C" >&6
+       echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+else
+
+       TK_BUILD_LIB_SPEC=$TK_LIB_SPEC
+       # Can't pull the following CHECKING call out since it will be
+       # broken up by the CHECK_FUNC just above.
+       echo "$as_me:$LINENO: checking if Tk library build specification is valid" >&5
+echo $ECHO_N "checking if Tk library build specification is valid... $ECHO_C" >&6
+       echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
+fi
+
+LIBS=$SAVELIBS
+
+
+
+
+TK_INC_DIR=$TK_INC_DIR
+
+
+ac_config_files="$ac_config_files Makefile dll/Makefile epu/Makefile include/Makefile lib/Makefile tcl/Makefile tcl/pkgIndex.tcl"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -10964,7 +11810,9 @@ do
   "dll/Makefile" ) CONFIG_FILES="$CONFIG_FILES dll/Makefile" ;;
   "epu/Makefile" ) CONFIG_FILES="$CONFIG_FILES epu/Makefile" ;;
   "include/Makefile" ) CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
+  "lib/Makefile" ) CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
   "tcl/Makefile" ) CONFIG_FILES="$CONFIG_FILES tcl/Makefile" ;;
+  "tcl/pkgIndex.tcl" ) CONFIG_FILES="$CONFIG_FILES tcl/pkgIndex.tcl" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   "include/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/config.h" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
@@ -11098,7 +11946,31 @@ s,@YACC@,$YACC,;t t
 s,@ALLOCA@,$ALLOCA,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@POW_LIB@,$POW_LIB,;t t
-s,@TCL_INCLUDE@,$TCL_INCLUDE,;t t
+s,@FGIS_LIBDIR@,$FGIS_LIBDIR,;t t
+s,@TCLHDIR@,$TCLHDIR,;t t
+s,@TCLHDIRDASHI@,$TCLHDIRDASHI,;t t
+s,@TCL_LIBRARY@,$TCL_LIBRARY,;t t
+s,@TCL_DEFS@,$TCL_DEFS,;t t
+s,@TCL_DELETEME@,$TCL_DELETEME,;t t
+s,@TCL_DBGX@,$TCL_DBGX,;t t
+s,@TCL_EXEC_PREFIX@,$TCL_EXEC_PREFIX,;t t
+s,@TCL_SHLIB_LD@,$TCL_SHLIB_LD,;t t
+s,@SHLIB_SUFFIX@,$SHLIB_SUFFIX,;t t
+s,@TCL_LD_FLAGS@,$TCL_LD_FLAGS,;t t
+s,@TCL_BUILD_LIB_SPEC@,$TCL_BUILD_LIB_SPEC,;t t
+s,@TCL_LIB_SPEC@,$TCL_LIB_SPEC,;t t
+s,@TCL_SHARED_LIB_SUFFIX@,$TCL_SHARED_LIB_SUFFIX,;t t
+s,@TCL_INC_DIR@,$TCL_INC_DIR,;t t
+s,@TCL_PACKAGE_PATH@,$TCL_PACKAGE_PATH,;t t
+s,@TKHDIRDASHI@,$TKHDIRDASHI,;t t
+s,@TK_VERSION@,$TK_VERSION,;t t
+s,@TK_DEFS@,$TK_DEFS,;t t
+s,@TK_DBGX@,$TK_DBGX,;t t
+s,@TK_XINCLUDES@,$TK_XINCLUDES,;t t
+s,@TK_XLIBSW@,$TK_XLIBSW,;t t
+s,@TK_BUILD_LIB_SPEC@,$TK_BUILD_LIB_SPEC,;t t
+s,@TK_LIB_SPEC@,$TK_LIB_SPEC,;t t
+s,@TK_INC_DIR@,$TK_INC_DIR,;t t
 CEOF
 
 _ACEOF